#
# spec file for package mtrack (Version 0.2.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         mtrack
Copyright:    GPL
Group:        X11/Applications/Hamradio
URL:	      http://www.qsl.net/g4klx/software/
Provides:     mtrack 
Autoreqprov:  on
Version:      0.2.3
Release:      137
Summary:      X window based satellite tracking program
Source:  mtrack-%{version}.tar.gz

%description
Mtrack is a X window based satellite tracking program, it is available
under the GPL and of course comes with full source. The program provides a
window which contains a map along with the sub-satellite point and footprint,
as well as the users home location. Information about the satellite is
provided below the map.
The program can also display a table showing future visibility, the visibilty
at a large number of other locations, and updated keplerian elements. A full
data editor is built in to allow for the addition, deletion and modification
of the satelite data, location data and user preferences. The program can also
import NASA two line elements directly. There is a choice of maps, and the
colours of the map, footprint, satellite and user can all be changed

Authors:
--------
    Jonathan Naylor <g4klx@qsl.net>

SuSE series: ham

%prep
%setup 

%build
make

%install
DOCDIR=/usr/share/doc/packages/mtrack
DOC="CHANGES COPYING INSTALL README README.old TODO"
make install
install -d -m 755 ${DOCDIR}
install -m 644 ${DOC} ${DOCDIR}

%files
%dir /usr/share/doc/packages/mtrack
%dir /usr/share/mtrack
%dir /var/mtrack
%config /etc/mtrackrc
/usr/bin/mtrack
/usr/bin/tle2mtrack
/usr/share/doc/packages/mtrack/CHANGES
/usr/share/doc/packages/mtrack/COPYING
/usr/share/doc/packages/mtrack/INSTALL
/usr/share/doc/packages/mtrack/README
/usr/share/doc/packages/mtrack/README.old
/usr/share/doc/packages/mtrack/TODO
/usr/share/mtrack/africa.pbm
/usr/share/mtrack/asia.pbm
/usr/share/mtrack/australasia.pbm
/usr/share/mtrack/europe.pbm
/usr/share/mtrack/index.help
/usr/share/mtrack/list.help
/usr/share/mtrack/main.help
/usr/share/mtrack/namerica.pbm
/usr/share/mtrack/pacific.pbm
/usr/share/mtrack/samerica.pbm
/usr/share/mtrack/usa.pbm
/usr/share/mtrack/world.pbm
%config /var/mtrack/locfile
%config /var/mtrack/satfile

%changelog -n mtrack
* Thu Jan 04 2001 - ka@suse.de
- update to version 0.2.3
- changed group to X11/Applications/Hamradio
* Wed Nov 08 2000 - sim@suse.de
- changed group to Applications/Communications
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Thu May 25 2000 - ro@suse.de
- doc to /usr/share/doc
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Mon Jun 14 1999 - ka@suse.de
- update to 0.2.2
- minor upgrades and bugfixes: now uses GTK colour selection dialogue box
* Sat Jun 12 1999 - ka@suse.de
- update to 0.2-1
- new feature tle2mtrack imports/updates two-line elements to satfile
* Mon Jun 07 1999 - ka@suse.de
- final 0.2 release
* Sun May 30 1999 - ka@suse.de
- new beta 0.2d
- Jonathan decided to follow my suggestion and changed the file
  locations according the FHS
* Wed May 19 1999 - ka@suse.de
- added %%config for mtrackrc
* Wed May 19 1999 - ka@suse.de
- again a new beta release: 0.2c
* Tue May 18 1999 - ka@suse.de
- new beta release 0.2b
* Wed May 05 1999 - ka@suse.de
- added patch for colour depth greater 8 bits/pixel
* Wed May 05 1999 - ka@suse.de
- initial release
